# Markdown相关知识点

## 常用语法

### **标题相关**

要创建标题，就在单词或者短语前面加上**(#)**,**几个#号就表示几级标题**。

- 一级标题

  **(# 一级标题)**

- 二级标题

  **(## 二级标题)**

- 三级标题

  **(### 三级标题)**

### **标号相关**

- 无序标号

  - 要创建无序列表标号，在每个列表项前面添加**破折号 (-)、星号 (*) 或加号 (+)** 。

    * 星号无序标号(*)。<br>

    + 加号无序标号(+)。<br>

    - 破折号无序标号(-)。<br>

- 有序标号

  - 要创建有序列表，请在每个列表项前添加数字并紧跟一个英文句点。
    1. 有序标号1
    2. 有序标号2
    3. 有序标号3
    4. .............

- 标号嵌套

  - **缩进一个或多个列表项**可创建嵌套列表标号。

- 一级无序标号
  1. 二级有序标号
     - 三级无序标号



### **文字相关**

- 加粗

  在单词或短语的前后各添加两个星号（asterisks）或下划线（underscores）。

  **这是(*)号加粗内容**

  __这是(_)号加粗内容__

- 倾斜

  在单词或短语前后添加一个星号（asterisk）或下划线（underscore）。要斜体突出单词的中间部分，请在字母前后各添加一个星号，中间不要带空格。

  *这是（\*）控制的斜体内容*

  _这是（\_)控制的斜体内容_

  **Markdown 应用程序在如何处理单词或短语中间的下划线上并不一致。为兼容考虑，在单词或短语中间部分加粗的话，使用星号。**

- 倾斜加粗

  要同时用粗体和斜体突出显示文本，请在单词或短语的前后各添加三个星号或下划线。要加粗并用斜体显示单词或短语的中间部分，请在要突出显示的部分前后各添加三个星号，中间不要带空格。

  ***(\*)倾斜加粗***

  ___(\_)倾斜加粗___

- 删除线

  在单词或短语前面添加两个波浪号(~~)可以实现删除线。

  ~~这是一个删除线的测试~~



### 代码块

- 单行代码块

  要将单词或短语表示为代码，请将其包裹在反引号 (``) 中。

  `这是一个单行代码的测试行`

  如果你要表示为代码的单词或短语中包含一个或多个反引号，则可以通过将单词或短语包裹在双反引号(````)中。

- 多行代码块

  代码块之前和之后的行上使用三个反引号（(`````）或三个波浪号（~~~）。

  ```{this is for testing purposes```

  ```123```

  ```123```

  ```}```

### 超链接

- 文字超链接

  使用\[文字描述](网页地址))。

  [这是一个文字超链接](https://www.baidu.com/ )

- 图片超链接

  使用**\[\!\[图片](图片地址)](网页地址)**

  [![百度](.\pictures\image-20250708133150206.png)](https://www.baidu.com/)

- 页面内跳转

  使用\[文字描述](#跳转地方)

  [一级标题](#Markdown相关知识点)

\[链接第一部分]\[链接第二部分]

\[链接第二部分]:地址

[百度][百度地址]



[百度地址]:https://www.baidu.com/

### 其他

- 分割线

  

  要创建分隔线，在单独一行上使用三个或多个星号 (`***`)、破折号 (`---`) 或下划线 (`___`) ，或（+++）并且不能包含其他内容。

  以下分别是***，---,___的演示

  ***

  ---

  ___

  +++

  

- 图片

  使用语法\[图片文字描述](图片地址)

  ![百度图标](.\pictures\image-20250708133150206.png)

  

- 表格

  CTRL+T；

- 引用

  创建块引用，请在段落前添加一个 > 符号。

+ 路径

  - 相对路径

    表示在和当前文件目录相比在哪儿。

    [这是相对路径](.\pictures\image-20250708133120141.png)

  - 绝对路径

    表示文件相对于电脑的完整地址。

    [这是绝对路径](C:\Users\wsk\Desktop\TrainCamp_WangShunKui_BasicLearn\Markdown\pictures\image-20250708133120141.png)

- 快捷键

![image-20250711110327873](./pictures/image-20250711110327873.png)

![image-20250711110429541](./pictures/image-20250711110429541.png)

